#include <gtk/gtk.h>

#include "main.h"
#include "callbacks.h"
#include "interface.h"
#include "support.h"



void on_ratio_none_activate (GtkMenuItem* menuitem, gpointer user_data) {
	ratio = 0;
}


void on_ratio_square_activate (GtkMenuItem* menuitem, gpointer user_data) {
	ratio = 1;
}


void on_ratio_4x3_activate (GtkMenuItem* menuitem, gpointer user_data) {
	ratio = 4/3;
}


void on_ratio_3x2_activate (GtkMenuItem* menuitem, gpointer user_data) {
	ratio = 3/2;
}


void on_ratio_custom_activate (GtkMenuItem* menuitem, gpointer user_data) {

}





void on_ratio_w_spinbutton_value_changed (GtkSpinButton* spinbutton, gpointer user_data) {

}


void on_ratio_w_spinbutton_change_value (GtkSpinButton* spinbutton, GtkScrollType scroll, gpointer user_data) {

}


void on_ratio_h_spinbutton_change_value (GtkSpinButton* spinbutton, GtkScrollType scroll, gpointer user_data) {

}


void on_ratio_h_spinbutton_value_changed (GtkSpinButton* spinbutton, gpointer user_data) {

}


void on_ratio_swap_button_clicked (GtkButton* button, gpointer user_data) {
	gint h;
	
	h = gtk_spin_button_get_value_as_int(lookup_widget(cropper_window, "ratio_w_spinbutton"));
	gtk_spin_button_set_value(lookup_widget(cropper_window, "ratio_w_spinbutton"), gtk_spin_button_get_value(lookup_widget(cropper_window, "ratio_h_spinbutton")));
	gtk_spin_button_set_value(lookup_widget(cropper_window, "ratio_h_spinbutton"), h);
}





gboolean on_cropper_window_delete_event (GtkWidget* widget, GdkEvent *event, gpointer user_data) {
	/* g_print("thanks for using the program - visit http://prog.marmaro.de\n"); */
	return FALSE;
}

void on_cropper_window_destroy (GtkObject* object, gpointer user_data) {
	gtk_main_quit();
}

